Name:           libchmxx
Version:        0.1
Release:        5%{?dist}
Summary:        C++ bindings for chmlib

Group:          System Environment/Libraries
License:        LGPL/GPL
URL:            http://www.mare.ee/indrek/libchmxx/
Source0:        http://www.mare.ee/indrek/libchmxx/libchmxx-%{version}.tar.gz
Patch0:         libchmxx-kchm-fixes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  chmlib-devel libtool
#Requires:       

%description
This is a C++ library for accessing Microsoft(tm) help
files (usually with extension chm).

%package devel
Summary:       Headers and development libraries for libchmxx
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      chmlib-devel

%description devel
The libchmxx-devel package contains headers and development libraries
necessary for building programs against libchmxx.

%prep
%setup -q
%patch -p1

%build
%configure --disable-static
# fails with %{?_smp_mflags}
#make %{?_smp_mflags}
# use system libtool since it adds -lstdc++
make LIBTOOL=libtool

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libchmxx.la $RPM_BUILD_ROOT%{_libdir}/libchmxx.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING COPYING.LIB
%{_bindir}/chmdissect
%{_libdir}/libchmxx.so.*

%files devel
%defattr(-,root,root,-)
%doc html/
%{_libdir}/libchmxx.so
%{_includedir}/chmxx.h

%changelog
* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 0.1-5
- rebuild for FC6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 0.1-4
- BuildRequires libtool

* Sat Jul 15 2006 Patrice Dumas <pertusus@free.fr> 0.1-3
- use system libtool

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 0.1-2
- disable static libs

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 0.1-1
- initial release
